#include "material.h"
#include "shader.h"
#include "asset/asset_manager.h"
#include "../renderapi.h"
namespace engineapi {
	Material::Material(string name, uint32_t flags)
		:Asset(name, flags)
	{
		mShader = new Shader(name, flags);
	}
	Material::~Material()
	{
	}
}
